Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.communication.messages
Class ActionBlockedMessage

    java.lang.Object
      gecco.communication.messages.Message
          gecco.communication.messages.ActionBlockedMessage

public class ActionBlockedMessage
extends Message

This message is put in the send queue on the server part of the communication, when the server calls unitActionBlocked

Author:
  Niklas Hallenfur, Karl Hasselström

Field Summary
`String` | `description` Description of the Field
`int` | `handle` Description of the Field
`boolean` | `instant` Description of the Field
`boolean` | `isBlocked` Description of the Field
`String` | `name` Description of the Field
`int` | `paramType` Description of the Field

Constructor Summary
`ActionBlockedMessage(int handle, String name, String description, int paramType, boolean instant, boolean isBlocked)` Constructor for the ActionBlockedMessage object
`ActionBlockedMessage(int handle, String name, String description, String argumentType, boolean isBlocked)` Constructor for the ActionBlockedMessage object

Method Summary
`static Message` | `read(DataInput in)` This factory method reads a message of this type without an initial ID from the input stream, and returns a `Message` object.
`void` | `write(DataOutput out)` This method writes the message to the given `DataOutput`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handle

    public int handle

  Description of the Field

### name

    public String name

  Description of the Field

### description

    public String description

  Description of the Field

### paramType

    public int paramType

  Description of the Field

### instant

    public boolean instant

  Description of the Field

### isBlocked

    public boolean isBlocked

  Description of the Field

Constructor Detail

### ActionBlockedMessage

    public ActionBlockedMessage(int handle,
                                String name,
                                String description,
                                int paramType,
                                boolean instant,
                                boolean isBlocked)

  Constructor for the ActionBlockedMessage object

Parameters:
  `handle` - Description of Parameter
  `name` - Description of Parameter
  `description` - Description of Parameter
  `paramType` - Description of Parameter
  `instant` - Description of Parameter
  `isBlocked` - Description of Parameter

### ActionBlockedMessage

    public ActionBlockedMessage(int handle,
                                String name,
                                String description,
                                String argumentType,
                                boolean isBlocked)

  Constructor for the ActionBlockedMessage object

Parameters:
  `handle` - Description of Parameter
  `name` - Description of Parameter
  `description` - Description of Parameter
  `argumentType` - Description of Parameter
  `isBlocked` - Description of Parameter

Method Detail

### write

    public void write(DataOutput out)
               throws IOException

  This method writes the message to the given `DataOutput`.

  Specified by:
    `write` in class `Message`
  Parameters:
    `out` - The output stream.
  Throws:
    `IOException` - In case something goes wrong.

### read

    public static Message read(DataInput in)
                        throws IOException

  This factory method reads a message of this type without an initial ID from the input stream, and returns a `Message` object.

  Parameters:
    `in` - The input stream.
  Returns:
    An instance of `Message`.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD